/**
 * normalize `keyPath` that is specific path for rule
 * This normalize function handle ambiguity `key`
 * `keyPath` is one of "preset/rule` key, or "rule" key
 *
 * Note: `textlint-rule-textlint-rule-x`(twice!) is normalized at once.
 * It is edge case and this function can not treat it.
 * @param keyPath
 */
export declare const normalizeTextlintKeyPath: (keyPath: string) => string;
/**
 * Normalize to preset-name/rule-name
 */
export declare const normalizeTextlintPresetSubRuleKey: (names: {
    preset: string;
    rule: string;
}) => string;
/**
 * Normalize rule key
 * @param name
 */
export declare const normalizeTextlintRuleKey: (name: string) => string;
/**
 * Normalize filter rule key
 * @param name
 */
export declare const normalizeTextlintFilterRuleKey: (name: string) => string;
/**
 * Normalize rule preset key
 * @param name
 */
export declare const normalizeTextlintRulePresetKey: (name: string) => string;
/**
 * Normalize plugin key
 * @param name
 */
export declare const normalizeTextlintPluginKey: (name: string) => string;
